package com.ematou.wxservice.mapper;

import com.ematou.wxservice.entity.pojo.SubscribeItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface SubscribeItemMapper {

    int insertSubscribeItem(@Param("subscribeItem")SubscribeItem subscribeItem);
    int updateSubscribeItem(@Param("subscribeItem")SubscribeItem subscribeItem);
    SubscribeItem queryByWechatAccount(@Param("wechatAccount")String wechatAccount);
    int deleteByWechatAccount(@Param("wechatAccount")String wechatAccount);
}
